/**
 * get full margin/padding values
 * margin: getSpacing(2,4); => margin: 1.6rem 6.4rem
 *
 * 1 param  => top + left + bottom + right
 * 2 params => top + bottom, left + right
 * 3 params => top, left + right, bottom
 * 4 params => top, left, right, bottom
 */
/**
 * get only one margin/padding value
 * margin-top: getSingle(2) => margin-top: 1.6rem;
 *
 */
/**
 * calculate space based on parameter and value
 *
 */
/**
 * Breakpoints
 */
.text-h1 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: var(--h1-weight);
  font-size: var(--h1-size);
  line-height: 111%;
  letter-spacing: 0.2px;
}
@media screen and (max-width: 1159px) {
  .text-h1 {
    font-size: 4rem;
  }
}

.text-h2 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: var(--h2-weight);
  font-size: var(--h2-size);
  line-height: 150%;
  letter-spacing: 3px;
  text-transform: uppercase;
}

.text-h3 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: var(--h3-weight);
  font-size: var(--h3-size);
  line-height: 133%;
}

.text-body1 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: normal;
  font-size: var(--body1-size);
  line-height: 143%;
  letter-spacing: 0.2px;
}

.text-body2 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: normal;
  font-size: var(--body2-size);
  line-height: 143%;
  letter-spacing: 0.2px;
}

.text-title1 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: var(--title1-weight);
  font-size: var(--title1-size);
  line-height: 128%;
  letter-spacing: 0.2px;
}

.text-title2 {
  font-family: var(--font-sans);
  font-style: normal;
  font-weight: var(--title2-weight);
  font-size: var(--title2-size);
  line-height: 128%;
  letter-spacing: 0.2px;
}

@font-face {
  font-family: "avenir";
  src: url("../fonts/AvenirLTPro-light.woff2") format("woff2"), url("../fonts/AvenirLTPro-light.woff") format("woff");
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: "PT Sans";
  src: url("../fonts/PTSans-Regular.woff2");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "PT Sans";
  src: url("../fonts/PTSans-Bold.woff2");
  font-weight: bolder;
  font-style: normal;
}
@font-face {
  font-family: "PT Sans";
  src: url("../fonts/PTSans-Italic.woff2");
  font-style: italic;
  font-weight: normal;
}
@font-face {
  font-family: "PT Sans";
  src: url("../fonts/PTSans-BoldItalic.woff2");
  font-style: italic;
  font-weight: bolder;
}
@font-face {
  font-family: "Libre Baskerville";
  src: url("../fonts/LibreBaskerville-Regular.woff2");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Libre Baskerville";
  src: url("../fonts/LibreBaskerville-Italic.woff2");
  font-weight: normal;
  font-style: italic;
}
@font-face {
  font-family: "Libre Baskerville";
  src: url("../fonts//LibreBaskerville-Bold.woff2");
  font-weight: bolder;
  font-style: normal;
}
:root {
  --font-sans: Arial, Helvetica, sans-serif;
  --font-pt-sans: 'PT Sans', sans-serif;
  --font-serif: 'Libre Baskerville', sans-serif;
}

html {
  font-size: 62.5%;
}

html,
body {
  margin: 0;
  font-family: var(--font-sans);
  color: var(----grey-600);
  font-display: swap;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  line-height: 1.6;
}

body {
  overflow-x: hidden;
}

* {
  box-sizing: border-box;
  outline: none;
}

a {
  text-decoration: none;
  transition: color 0.5s ease;
  color: inherit;
}
a:hover {
  text-decoration: none;
}

ul,
ol,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-size: 1em;
}

p {
  margin: 0;
  padding: 0;
}

ul,
li {
  list-style: none;
  margin: 0;
  padding: 0;
}

img {
  width: 100%;
  height: auto;
}

figure {
  margin: 0;
}

dt,
dd {
  margin: 0;
}

button {
  padding: 0;
  background-color: transparent;
  border: 0;
  outline: none;
  cursor: pointer;
}
button::-moz-focus-inner {
  border: 0;
  outline: 0;
}

select:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #000;
}

select:active, select:focus, select::-moz-focus-inner {
  border: 0;
  outline: 0;
  color: transparent;
}

input {
  outline-style: none;
  padding: 0;
}

.header {
  margin-bottom: 1rem;
}

.header__image {
  display: block;
}

.footer {
  display: flex;
  justify-content: center;
  background: var(--grey-900);
  color: var(--grey-500);
  border-top: 12px solid var(--grey-50);
}
.footer p {
  font-size: 1.3rem;
}
.footer a {
  color: var(--grey-100);
}
.footer a:hover {
  color: var(--blue-400);
}

.footer__wrapper {
  max-width: 940px;
  width: 100%;
  display: flex;
}
@media screen and (min-width: 1160px) {
  .footer__wrapper {
    padding: 4rem 0;
  }
}
@media screen and (min-width: 767px) {
  .footer__wrapper {
    align-items: flex-start;
  }
}
@media screen and (min-width: 767px) and (max-width: 1159px) {
  .footer__wrapper {
    padding: 4rem 1rem;
  }
}
@media screen and (max-width: 766px) {
  .footer__wrapper {
    padding: 3rem 1rem;
    flex-direction: column;
  }
}

@media screen and (min-width: 767px) {
  .footer__logo {
    flex: 0 0 270px;
  }
}
.footer__logo img {
  width: auto;
}

.footer__contact {
  display: flex;
  align-items: flex-start;
  gap: 5rem;
}
@media screen and (max-width: 766px) {
  .footer__contact {
    flex-direction: column;
  }
}

.footer__links {
  margin-left: auto;
  text-align: right;
  text-transform: uppercase;
}

.page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  width: 100%;
}

.page__wrapper {
  max-width: 940px;
  margin: 0 auto;
}

.page__body {
  display: flex;
  flex-direction: row-reverse;
  margin-bottom: 3rem;
}
@media screen and (min-width: 767px) {
  .page__body {
    max-width: calc(100vw - 20px);
    gap: 5rem;
  }
}
@media screen and (max-width: 766px) {
  .page__body {
    flex-direction: column;
    padding: 0 1rem;
  }
}

.page__content {
  margin-top: 4rem;
  flex: 1 1 100%;
}

@media screen and (min-width: 767px) {
  .page__sidebar {
    flex: 0 0 220px;
    margin-top: 4rem;
  }
}

.page__footer {
  margin-top: auto;
}

.navigation {
  margin-bottom: 2rem;
}

.navigation__list {
  border-top: 1px solid var(--grey-50);
  border-right: 1px solid var(--grey-50);
  background: var(--grey-50);
  background: linear-gradient(90deg, var(--white-main) 0%, var(--grey-10) 100%);
}

.navigation__item:not(:first-child) {
  color: var(--grey-900);
  fill: var(--grey-900);
}

.navigation__item-link {
  font-size: 1.2rem;
  font-weight: 400;
  font-family: var(--font-pt-sans);
  padding: 0.9rem 0;
  display: block;
  text-transform: uppercase;
  border-bottom: 1px solid var(--grey-50);
}
.navigation__item-link:hover {
  background: var(--white-main);
}

.current-menu-ancestor > a,
.current-menu-item > a {
  color: var(--blue-400);
  fill: var(--blue-400);
}

.current-menu-item > a {
  background: var(--white-main);
  border-right: 3px solid var(--blue-400);
}

.navigation__subnav {
  padding-left: 1.5rem;
  max-height: 0;
  height: auto;
  overflow: hidden;
  transition: max-height 2s ease;
}
.navigation__item:hover .navigation__subnav, .current-menu-ancestor .navigation__subnav, .current-menu-item .navigation__subnav {
  max-height: 200px;
}

.icon {
  display: inline-block;
  width: 0.5rem;
  margin-left: 1rem;
}

.article {
  padding-bottom: 3rem;
}

.article__title {
  position: relative;
  font-family: var(--font-serif);
  font-size: 2.4em;
  font-weight: 400;
  line-height: 2;
  margin-bottom: 3rem;
  color: var(--grey-900);
  display: flex;
  align-items: center;
  gap: 1rem;
}
.article__title:after {
  content: "";
  flex: 1;
  height: 6px;
  border-top: 1px solid var(--grey-50);
  border-bottom: 1px solid var(--grey-50);
}

.rte {
  font-size: 1.3rem;
  line-height: 1.6;
  font-family: var(--font-sans);
  color: var(--grey-600);
}
.rte h1, .rte .wp-block-post-title {
  position: relative;
  font-family: var(--font-serif);
  font-size: 2.4rem;
  font-weight: 400;
  line-height: 2;
  margin-bottom: 3rem;
  color: var(--grey-900);
  display: flex;
  align-items: center;
  gap: 1rem;
}
.rte h1:after, .rte .wp-block-post-title:after {
  content: "";
  flex: 1;
  height: 6px;
  border-top: 1px solid var(--grey-50);
  border-bottom: 1px solid var(--grey-50);
}
.rte h2 {
  font-size: 1.4em;
  margin: 0 0 2rem;
  font-family: var(--font-serif);
  color: var(--grey-900);
  font-weight: 400;
}
.rte p + h2,
.rte hr + h2 {
  margin-top: 3rem;
}
.rte h3 {
  font-size: 1.15em;
  font-weight: 400;
  font-family: var(--font-serif);
  color: var(--grey-900);
  margin: 0 0 1rem;
}
.rte p + h3 {
  margin-top: 3rem;
}
.rte h4 {
  font-size: 1.15em;
  font-weight: 400;
  font-family: var(--font-serif);
  color: var(--grey-900);
  margin: 1rem 0;
}
.rte h4:before {
  content: "";
  display: inline-block;
  width: 2rem;
  height: 2rem;
  background-color: var(--blue-400);
  background-image: url("../images/icons/arrow-white.svg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 0.5em 0.5em;
  margin-right: 2rem;
  vertical-align: top;
}
.rte p + h4 {
  margin-top: 3rem;
}
.rte h5 {
  font-size: 1.15em;
  font-weight: 400;
  font-family: var(--font-serif);
  color: var(--grey-900);
  margin: 1rem 0;
}
.rte h6 {
  font-size: 1em;
  font-weight: bold;
  color: var(--grey-900);
  margin: 0 0 1rem;
}
.rte h6:before {
  content: "";
  width: 1px;
  height: 1px;
  border: 4px solid transparent;
  border-left-color: var(--grey-900);
  display: inline-block;
  font-size: 0.8em;
  margin-right: 0.5rem;
  vertical-align: baseline;
}
.rte p {
  margin-bottom: 1.5rem;
}
.rte em {
  font-style: normal;
  color: var(--grey-900);
}
.rte sub, .rte sup {
  font-family: var(--font-serif);
  font-size: 1em;
  vertical-align: baseline;
}
.rte a {
  color: var(--blue-400);
}
.rte ul {
  margin-bottom: 1.5rem;
}
.rte li {
  margin-bottom: 0.2rem;
}
.rte li:before {
  content: "";
  width: 4px;
  height: 4px;
  transform: rotate(45deg) translate(-2px);
  border-top: 1px solid var(--grey-600);
  border-right: 1px solid var(--grey-600);
  display: inline-block;
  margin-right: 1rem;
}
.rte ol {
  list-style-type: decimal;
  list-style-position: outside;
}
.rte img {
  display: block;
  margin: 2rem 0;
}
.rte .some-test-class {
  color: var(--blue-400);
}
.rte .wp-block-columns {
  display: flex;
  gap: 3rem;
  margin-bottom: 3rem;
}
@media screen and (max-width: 766px) {
  .rte .wp-block-columns {
    flex-direction: column;
  }
}
.rte .wp-block-column {
  flex: 1;
}
.rte .wp-block-image img {
  margin: 0 0 1rem 0;
  border: 5px solid var(--grey-50);
}
.rte .wp-block-image figcaption {
  font-size: 1rem;
  text-transform: uppercase;
  text-align: center;
}
.rte .wp-block-separator {
  position: relative;
  margin: 2.5rem 0 1.5rem;
  border: 0;
  border-top: 1px solid var(--grey-100);
  height: 10px;
  background: var(--write-main);
}
.rte .wp-block-separator:before {
  content: "";
  position: absolute;
  top: -8px;
  height: 7px;
  width: 100%;
  border-radius: 50%;
  box-shadow: 0 0 7px 3px var(--black-main);
  opacity: 0.2;
}
.rte .has-abelios-blue-dark-color {
  color: var(--blue-800);
}
.rte .has-abelios-blue-color {
  color: var(--blue-400);
}
.rte .has-text-align-right {
  text-align: right;
}
.rte .has-text-align-center {
  text-align: center;
}
.rte .has-medium-font-size {
  font-size: 1.3em;
}
.rte .has-large-font-size {
  font-size: 1.5em;
}
.rte .has-x-large-font-size {
  font-size: 2em;
}
.rte .cmp {
  font-family: var(--font-sans);
  font-weight: 100;
  text-transform: uppercase;
  color: var(--grey-600);
  line-height: 1.6em;
}
.rte .cmp strong {
  font-family: var(--font-serif);
  text-transform: lowercase;
  color: var(--blue-800);
  font-size: 1.23em;
  font-weight: 400;
}

.language-switcher {
  margin: 3rem 0;
  display: flex;
  flex-direction: column;
}

.language-switcher__link {
  font-size: 1.2rem;
  color: var(--blue-400);
  text-transform: uppercase;
}
.language-switcher__link img {
  display: inline-block;
  width: 1.5em;
  vertical-align: text-top;
  margin-right: 0.5rem;
}

:root {
  --black-main: #000000;
  --white-main: #ffffff;
  --grey-900: #363839;
  --grey-500: #8C8989;
  --grey-600: #747474;
  --grey-100: #cfcfcf;
  --grey-50: #e9eaee;
  --grey-10: #f6f7f8;
  --blue-400: #6ba0db;
  --blue-800: #123f8c;
}